[Solved] Anyone else having trouble installing Vivaldi browser?

Questions about other topics - please check if your question fits better in another category before posting here
Forum rules
Before you post please read how to get help
Post Reply
kayeng
Level 2
Level 2
Posts: 76
Joined: Wed Jan 04, 2017 6:42 am

[Solved] Anyone else having trouble installing Vivaldi browser?

Post by kayeng » Tue Jun 12, 2018 4:23 am

Hello guys.

One of my desktop is:

Kernel: 4.4.0-53-generic i686 (32 bit)
Desktop: Cinnamon 3.2.6
Distro: Linux Mint 18.1 Serena

I downloaded the "vivaldi-stable_1.15.1147.42-1_i386.deb" file from https://vivaldi.com/
Double-clicked the file, "Package Installer" opens, installation begins and finishes without problems.

I click Menu, Internet, Vivaldi, Nothing happens. This is the same with a few of our desktop computers running Linuxmint.

Thank you.
Last edited by kayeng on Sat Jun 16, 2018 7:14 am, edited 1 time in total.

User avatar
Pierre
Level 17
Level 17
Posts: 7566
Joined: Fri Sep 05, 2008 5:33 am
Location: Perth, AU.

Re: Anyone else having trouble installing Vivaldi browser?

Post by Pierre » Tue Jun 12, 2018 5:54 am

since I've got Vivaldi working on LM17.2 just fine . ..

can you run Vivaldi in a Terminal ? to see what error are being displayed ?
Image
Please edit your original post title to include [SOLVED] - when your problem is solved!
and DO LOOK at those Unanswered Topics - - you may be able to answer some!.

User avatar
kc1di
Level 13
Level 13
Posts: 4723
Joined: Mon Sep 08, 2008 8:44 pm
Location: Maine USA

Re: Anyone else having trouble installing Vivaldi browser?

Post by kc1di » Tue Jun 12, 2018 5:55 am

Go to a terminal and try launching it from there, any error messages?
Easy tips : https://sites.google.com/site/easylinuxtipsproject/
Linux Mint Installation Guide: http://linuxmint-installation-guide.rea ... en/latest/
Registered Linux User #462608

User avatar
absque fenestris
Level 5
Level 5
Posts: 609
Joined: Sat Nov 12, 2016 8:42 pm
Location: Confoederatio Helvetica

Re: Anyone else having trouble installing Vivaldi browser?

Post by absque fenestris » Tue Jun 12, 2018 6:50 pm

I have noticed that both in my native 32-bit system and in 64-bit systems in the virtual box, I click the exit icon in the installation window too quickly.
It seems to be fully loaded - but it isn't.
Wait a few seconds ( slowly count to ten...) after loading then it should work.
A restart won't hurt either.
Linux Mint 18.3 Sylvia (Mate) 32-bit - Acer D250 Netbook (Intel Atom N270, 2 GB RAM, 120 GB SSD)

User avatar
kc1di
Level 13
Level 13
Posts: 4723
Joined: Mon Sep 08, 2008 8:44 pm
Location: Maine USA

Re: Anyone else having trouble installing Vivaldi browser?

Post by kc1di » Wed Jun 13, 2018 7:09 am

it's working well here in Mint 19 beta 64 bit. Give us the terminal output please.
Easy tips : https://sites.google.com/site/easylinuxtipsproject/
Linux Mint Installation Guide: http://linuxmint-installation-guide.rea ... en/latest/
Registered Linux User #462608

kayeng
Level 2
Level 2
Posts: 76
Joined: Wed Jan 04, 2017 6:42 am

Re: Anyone else having trouble installing Vivaldi browser?

Post by kayeng » Thu Jun 14, 2018 7:11 am

absque fenestris wrote:
Tue Jun 12, 2018 6:50 pm
I have noticed that both in my native 32-bit system and in 64-bit systems in the virtual box, I click the exit icon in the installation window too quickly.
It seems to be fully loaded - but it isn't.
Wait a few seconds ( slowly count to ten...) after loading then it should work.
A restart won't hurt either.
Hello, I waited minutes. It didn't work.

Here's what the terminal output says:

No suitable library for HTML5 MP4 (H.264/AAC) video and MP3 audio was
found, therefore only open codecs will play.

For assistance on how to enable proprietary media, visit:

https://help.vivaldi.com/article/html5- ... der-linux/

[3838:3881:0614/190740.063045:FATAL:nss_util.cc(631)] NSS_VersionCheck("3.26") failed. NSS >= 3.26 is required. Please upgrade to the latest NSS, and if you still get this error, contact your distribution maintainer.
Aborted

Thank you.

User avatar
Sir Charles
Level 7
Level 7
Posts: 1832
Joined: Thu Jan 04, 2018 1:00 pm

Re: Anyone else having trouble installing Vivaldi browser?

Post by Sir Charles » Thu Jun 14, 2018 8:17 am

kayeng wrote:
Thu Jun 14, 2018 7:11 am
NSS_VersionCheck("3.26") failed. NSS >= 3.26 is required. Please upgrade to the latest NSS, and if you still get this error, contact your distribution maintainer.
Hi kayeng,

Try the following and see if it will resolve the problem:

Code: Select all

sudo apt-get update

Code: Select all

sudo apt-get install --reinstall libnss3
Restart Vivaldi.

If it doesn't, you could try downloading libnss3_3.28.4-0ubuntu0.16.04.3_i386.deb. Once downloaded, right click on the .deb file and install it with Gdebi. Restart Vivaldi and see if it works.

Hope this helps.
Last edited by Sir Charles on Thu Jun 14, 2018 8:57 am, edited 2 times in total.
I suppose that's one of the ironies of life, doing the wrong thing at the right moment -C.C.

Hoser Rob
Level 12
Level 12
Posts: 4325
Joined: Sat Dec 15, 2012 8:57 am

Re: Anyone else having trouble installing Vivaldi browser?

Post by Hoser Rob » Thu Jun 14, 2018 8:43 am

Go into synaptic package manager and search for mint-meta-codecs and if it's not listed as installed, install it,

kayeng
Level 2
Level 2
Posts: 76
Joined: Wed Jan 04, 2017 6:42 am

[Solved] Re: Anyone else having trouble installing Vivaldi browser?

Post by kayeng » Sat Jun 16, 2018 7:13 am

I tried Marziano's tip:

sudo apt-get update

sudo apt-get install --reinstall libnss3

it worked. Thank you very much guys.

This thread is now solved.

Post Reply

Return to “Other topics”